package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TDictMajorSource;

/**
 * 重大危险源字典 服务层
 */
public interface ITDictMajorSourceService {

    TDictMajorSource selectTDictMajorSourceByGuid(String guid);

    List<TDictMajorSource> selectTDictMajorSourceList(TDictMajorSource tDictMajorSource);

    int insertTDictMajorSource(TDictMajorSource tDictMajorSource);

    int updateTDictMajorSource(TDictMajorSource tDictMajorSource);

    int deleteTDictMajorSourceByGuid(String guid);

    int deleteTDictMajorSourceByGuids(String[] guids);
}
